Rated 4 out of 5 stars

People should just stop suggesting to edit install.rdf ... it just doesn't work.

You have to first disable extension compatibility checking in FF v3.6. This is different than in all previous versions. You have to add the following boolean value and set it to false in the advanced config editor: "extensions.checkCompatibility.3.6".

Full steps:
1. type "about:config" in the URL text box and choose "yes" to the "are you sure" prompt
2. Right click any white space and choose "New" > "Boolean"
3. Type or copy/paste "extensions.checkCompatibility.3.6" (without the quotes)
3. Choose "false" as the value
4. Restart FF

More details (including future FF versions) here:
http://www.howtogeek.com/howto/8900/firefox-3.6-release-candidate-available-heres-how-to-fix-your-incompatible-extensions/

The author should do the needful and update this extension nonetheless.

Cheers